package com.example.lazyproxyissue;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class LazyProxyIssueApplicationTests {

	@Test
	void lazyBeanTest(@Autowired LazyBean lazyBean) {
		lazyBean.invoke();
	}

}
